service resource type

Represents a Service in SOFT4Spaces.

Note

For information about enabling APIs for Business Central see Overview.

 

 

API endpoint

 

API Path
service businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/services

 

Methods

 

Method Return Type Description
GET service service Gets a service object.
DELETE service none Deletes a service object.
POST service service Creates a service object.
PATCH service service Updates a service object.

 

GET service

Description

Retrieves an existing service record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/services

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the service record.

Example Response

JSON

{
   "id": "cae064e4-3eba-ec11-8aa5-000d3adf2905",
      "code": "RENT",
      "description": "Rent",
      "description2": "",
      "searchDescription": "RENT",
      "serviceGroup": "RENT",
      "descriptioninEnglish": "",
      "genProdPostingGroup": "SERVICES",
      "vatProdPostingGroup": "REDUCED",
      "inArrearsInAdvance": "In_x0020_Arrears",
      "taxLiable": false,
      "taxGroupCode": "",
      "saleUnitofMeasureCode": "",
      "chargeCostEntries": false,
      "balance": 15478.32,
      "chargesAmount": 114865.42,
      "invoicedAmount": -99387.1,
      "systemCreatedAt": "2022-04-12T08:59:43.56Z",
      "systemCreatedBy": "00000000-0000-0000-0000-000000000001",
      "systemModifiedAt": "2026-02-24T11:39:49.51Z",
      "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68"
}

 

POST service

Description

Creates a new service record in Business Central.

HTTP Request

POST

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/services

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide a JSON object with service data.

JSON

{
   "code": "CAM",
   "description": "Common area maintenance",
   "description2": "",
   "serviceGroup": "ADMIN",
   "descriptioninEnglish": "",
   "genProdPostingGroup": "SERVICES",
   "vatProdPostingGroup": "REDUCED",
   "inArrearsInAdvance": "0",
   "taxLiable": false,
   "taxGroupCode": ""
}

Response

Returns a 201 Created status code and the created service object.

 

PATCH service

Description

Updates existing service record in Business Central.

HTTP Request

PATCH

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/services({{services_id}})

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide the fields to be updated of service in Business Central.

JSON

{
   "Description": "CAM",
   "VATProdPostingGroup": "STANDARD"
}

Response

Returns a 200 OK status code.

Properties

 

Property Type Description
id GUID The unique ID of the service. Non-editable.
code string The code of the service.
description string Specifies the description of the service.
description2 string Specifies the description of the service.
searchDescription string Specifies the search description of the service.
serviceGroup string Service group code. Service group number combines services in invoices but shows details in statements.
descriptioninEnglish string Description in English.
genProdPostingGroup string General product posting group. 
vatProdPostingGroup string VAT product posting group. 
inArrearsInAdvance string Specifies the service filtering criteria for service journal. It can be "Not Defined", "In Arrears", or "In Advance".
taxLiable boolean Specifies whether the service is liable for tax.
taxGroupCode string Tax group code.
saleUnitofMeasureCode string Unit of measure code.
chargeCostEntries boolean Specifies whether costs are allocated from a purchase invoice and fixed amount should be applied.
balance decimal Specifies balance.
chargesAmount decimal Specifies charges amount.
invoicedAmount decimal Specifies invoiced amount.
systemCreatedAt datetime The datetime the service was created. 
systemCreatedBy GUID The ID of the user who created the service.
systemModifiedAt datetime The last datetime the service was modified. 
systemModifiedBy GUID The ID of the user who modified the service.

 

JSON Representation

{
   "id": "GUID",
      "code": "string",
      "description": "string",
      "description2": "string",
      "searchDescription": "string",
      "serviceGroup": "string",
      "descriptioninEnglish": "string",
      "genProdPostingGroup": "string",
      "vatProdPostingGroup": "string",
      "inArrearsInAdvance": "string",
      "taxLiable": "boolean",
      "taxGroupCode": "string",
      "saleUnitofMeasureCode": "string",
      "chargeCostEntries": "boolean",
      "balance": "decimal",
      "chargesAmount": "decimal",
      "invoicedAmount": "decimal",
      "systemCreatedAt": "datetime",
      "systemCreatedBy": "GUID",
      "systemModifiedAt": "datetime",
      "systemModifiedBy": "GUID"
}